Subject: Re: latest net-next: iwlwifi: reproducible SOFTIRQ-unsafe lock order detected

From: "John W. Linville" <[email-masked]>
Date: Tue, 27 May 2014 15:09:22 -0400

I have that commit in wireless-next, included in the pull request
sent today.

John

On Tue, May 27, 2014 at 08:38:12PM +0200, Oliver Hartkopp wrote:
> Yep! That fixed it.
> 
> Tested-by: Oliver Hartkopp <[email-masked]>
> 
> Btw. this issue is in net-next.
> 
> Regards,
> Oliver
> 
> 
> On 27.05.2014 20:03, Berg, Johannes wrote:
> >> Bug added in commit ea68f46070c7bae608c619ae048f0ad995db74c3
> >> ("iwlwifi: pcie: clarify TX queue need_update handling")
> >>
> >> Please try :
> >>
> >> diff --git a/drivers/net/wireless/iwlwifi/pcie/tx.c
> >> b/drivers/net/wireless/iwlwifi/pcie/tx.c
> >> index dde6031f4257..309a13caddcd 100644
> >> --- a/drivers/net/wireless/iwlwifi/pcie/tx.c
> >> +++ b/drivers/net/wireless/iwlwifi/pcie/tx.c
> >> @@ -338,12 +338,12 @@ void iwl_pcie_txq_check_wrptrs(struct iwl_trans
> >> *trans)
> >>  	for (i = 0; i < trans->cfg->base_params->num_of_queues; i++) {
> >>  		struct iwl_txq *txq = &trans_pcie->txq[i];
> >>
> >> -		spin_lock(&txq->lock);
> >> +		spin_lock_bh(&txq->lock);
> > 
> > Yeah, we have the same commit in the tree:
> > 
> > commit d090f878b0084344812dc7bb086e98cd24572e58
> > Author: Emmanuel Grumbach <[email-masked]>
> > Date:   Tue May 13 08:10:51 2014 +0300
> > 
> >     iwlwifi: pcie: disable BHs in iwl_pcie_txq_check_wrptrs
> > 
> > I'm not sure why it hasn't hit net.git, I no longer maintain iwlwifi.git.
> > 
> > johannes
> > 
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 

-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.